import { __exports as t } from "./index-_virtual25.js";
import { __require as l } from "./index-Lexical.js";
var i;
function N() {
  if (i) return t;
  i = 1, Object.defineProperty(t, "__esModule", { value: !0 }), t.$isKeywordNode = t.$createKeywordNode = t.KeywordNode = void 0;
  const y = l();
  let o = class u extends y.TextNode {
    static getType() {
      return "keyword";
    }
    static clone(e) {
      return new u(e.__text, e.__key);
    }
    static importJSON(e) {
      const r = s(e.text);
      return r.setFormat(e.format), r.setDetail(e.detail), r.setMode(e.mode), r.setStyle(e.style), r;
    }
    exportJSON() {
      return {
        ...super.exportJSON(),
        type: "keyword",
        version: 1
      };
    }
    createDOM(e) {
      var r;
      const a = super.createDOM(e);
      let n = (r = e.theme) === null || r === void 0 ? void 0 : r.keyword;
      return n || (n = "lexical-toolkit-keyword"), a.className = n, a;
    }
    canInsertTextBefore() {
      return !1;
    }
    canInsertTextAfter() {
      return !1;
    }
    isTextEntity() {
      return !0;
    }
  };
  t.KeywordNode = o;
  function s(d) {
    return new o(d);
  }
  t.$createKeywordNode = s;
  function c(d) {
    return d instanceof o;
  }
  return t.$isKeywordNode = c, t;
}
export {
  N as __require
};
